<?php
class RptUbicacionAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();

        $this->s_EstadoUbiccion = is_null( $this->getRequestParameter( 'EstadoUbiccion' ) ) ? '3' : $this->getRequestParameter( 'EstadoUbiccion' );
        $this->Tipo = $this->getRequestParameter( 'Tipo' );

        if( !$this->getRequestParameter( 'Control' ) )
        {
            $this->Tipo = 2;
        }

        $o_SRV_UbicacionClienteHFN = new SRV_UbicacionClienteHFN();
        $o_SRV_UbicacionClienteHFN->setEstadoUbicacion( $this->s_EstadoUbiccion );

        if( $this->Tipo )
        {
            //$o_GridAction->addMethodDefault( "MST_Ubicacion.IdTipoUbicacion", array( 'Condition'=>'=', 'Value'=>"'".$this->Tipo."'", 'force'=>true ) );
            $o_SRV_UbicacionClienteHFN->addCondition( "MST_Ubicacion.IdTipoUbicacion", "=", "'".$this->Tipo."'", false );
            $o_SRV_UbicacionClienteHFN->addOrderBy( SRV_UbicacionClienteHFN::FechaHoraSalida );
        }

        if( $this->s_EstadoUbiccion == 3 )
        {
            $o_SRV_UbicacionClienteHFN->addCondition( "SRV_UbicacionClienteH.Estado", "=", "'P'", false );
            $o_SRV_UbicacionClienteHFN->addOrderBy( SRV_UbicacionClienteHFN::FechaHoraSalida, false );
        }
        else
        {
            $o_SRV_UbicacionClienteHFN->addOrderBy( "SRV_UbicacionEstado.FechaCreacion", false );
        }
        $this->a_SRV_UbicacionClienteH = $o_SRV_UbicacionClienteHFN->selectdos();
        //pr( $this->a_SRV_UbicacionClienteH );
    }
}